# Uses of Interface
org.eclipse.ui.IMarkerResolution

Packages that use IMarkerResolution
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.views.markers
Utility classes for working with markers in views

## Uses of IMarkerResolution in org.eclipse.ui

Subinterfaces of IMarkerResolution in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IMarkerResolution2`
Extends `IMarkerResolution`.
Methods in org.eclipse.ui that return IMarkerResolution
Modifier and Type
Method
Description
`IMarkerResolution[]`
IMarkerHelpRegistry.`getResolutions(IMarker marker)`
Returns an array of resolutions for the given marker.
`IMarkerResolution[]`
IMarkerResolutionGenerator.`getResolutions(IMarker marker)`
Returns resolutions for the given marker (may be empty).

## Uses of IMarkerResolution in org.eclipse.ui.dialogs

Constructors in org.eclipse.ui.dialogs with parameters of type IMarkerResolution
Modifier
Constructor
Description
``
`MarkerResolutionSelectionDialog(Shell shell, IMarkerResolution[] markerResolutions)`
Creates an instance of this dialog to display the given resolutions.

## Uses of IMarkerResolution in org.eclipse.ui.views.markers

Classes in org.eclipse.ui.views.markers that implement IMarkerResolution
Modifier and Type
Class
Description
`class`
`WorkbenchMarkerResolution`
WorkbenchMarkerResolution is the resolution that can be grouped with others that are similar to allow multi selection.